Aller au contenu

Enregistrer l’acceptation d’un document juridique par le membre, dans sa version en vigueur

POST
/v1/me/acceptances
curl --request POST \
--url https://api.vimine.network/v1/me/acceptances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "kind": "example", "version": "example", "sha256": "example" }'

Enregistre une ligne de preuve (canal api, en nommant votre application) : un document lié au compte (platform_terms : acceptation, platform_privacy : prise de connaissance, network_consent : consentement) ou la prise de connaissance de la privacy_notice de cette association. version (et sha256 quand il est publié) doit nommer le texte en vigueur que votre application a affiché — sinon 422 <kind>_outdated. Enregistrer deux fois la même version est sans danger : chaque ligne est une preuve. Accepte Idempotency-Key.

Type de médiaapplication/json
object
kind
obligatoire

Platform_terms | platform_privacy | network_consent | privacy_notice

string
version
obligatoire
Exactement un parmi :
string
sha256
string
Exemplegénéré
{
"kind": "example",
"version": "example",
"sha256": "example"
}

Enregistrée

Type de médiaapplication/json
object
recorded
obligatoire
boolean
kind
obligatoire
string
action
obligatoire
string
version
obligatoire
string
at
obligatoire
string format : date-time
Exemplegénéré
{
"recorded": true,
"kind": "example",
"action": "example",
"version": "example",
"at": "2026-04-15T12:00:00Z"
}

Requête invalide

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Identifiants manquants ou invalides

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Non autorisé

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Rien de publié pour ce type (not_found)

Type inconnu, version manquante, ou version qui n’est pas en vigueur (<kind>_outdated)

Limite de débit atteinte

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erreur interne

Type de médiaapplication/problem+json
object
type
obligatoire
string format : uri
title
obligatoire
string
status
obligatoire
integer
detail
string
code
obligatoire
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplegénéré
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}